Interpolator.StepPosition (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.animation, class: Interpolator, enum: StepPosition

# Enum Class Interpolator.StepPosition

java.lang.Object
java.lang.Enum<Interpolator.StepPosition>
javafx.animation.Interpolator.StepPosition

All Implemented Interfaces:
  `Serializable, Comparable<Interpolator.StepPosition>, Constable`

Enclosing class:
  `Interpolator`

public static enum Interpolator.StepPosition extends Enum<Interpolator.StepPosition>
Specifies the step position of a step interpolator.

The step position determines the location of rise points in the input progress interval, which are the locations on the input progress axis where the output progress value jumps from one step to the next.

Since:
  23

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  The interval starts with a rise point when the input progress value is 0, and ends with a rise point when the input progress value is 1.
  `END`
  The interval ends with a rise point when the input progress value is 1.
  `NONE`
  All rise points are within the open interval (0..1).
  `START`
  The interval starts with a rise point when the input progress value is 0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Interpolator.StepPosition`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Interpolator.StepPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START

    public static final Interpolator.StepPosition START
    The interval starts with a rise point when the input progress value is 0.

  - ### END

    public static final Interpolator.StepPosition END
    The interval ends with a rise point when the input progress value is 1.

  - ### BOTH

    public static final Interpolator.StepPosition BOTH
    The interval starts with a rise point when the input progress value is 0, and ends with a rise point when the input progress value is 1.

  - ### NONE

    public static final Interpolator.StepPosition NONE
    All rise points are within the open interval (0..1).

- ## Method Details

  - ### values

    public static Interpolator.StepPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Interpolator.StepPosition valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null